%define name util-linux-ng
%define version 2.14.1
%define mainver 2.14
%define rc_ver 0
%define git 20070821
%define rel 4
%define subrel 2
%if %{rc_ver}
%define release %mkrel 0.rc%{rc_ver}.%{git}git.%{rel}
%define tarname %{name}-%{version}-%{git}git
%define distname %{name}-%{version}-rc%{rc_ver}
%else
%define release %mkrel %{rel}
%define tarname %{name}-%{version}
%define distname %{tarname}
%endif

### Header
Summary:	A collection of basic system utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Base
URL:		ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng

### Features
%define include_raw 1

### Macros
%define no_hwclock_archs s390 s390x

### Paths
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

### Dependences
BuildRequires:	gcc
BuildRequires:	sed
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	ncurses-devel
BuildRequires:	termcap-devel
BuildRequires:	texinfo
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRequires:	libaudit-devel

### Sources
Source0:	ftp://ftp.kernel.org/pub/linux/utils/%{name}/v%{mainver}/%{tarname}.tar.bz2
# based on Fedora pam files, with pam_selinux stripped out
Source1:	util-linux-ng-login.pamd
Source2:	util-linux-ng-remote.pamd
Source3:	util-linux-ng-chsh-chfn.pamd
Source4:	util-linux-ng-60-raw.rules
Source8:	nologin.c
Source9:	nologin.8

### Obsoletes & Conflicts & Provides
# old versions of util-linux have been splited to more sub-packages
Obsoletes: mount <= 2.13-0.pre7.6mdv2008.0, losetup <= 2.13-0.pre7.6mdv2008.0
Provides: mount = %{version}, losetup = %{version}
# fork and rename from util-linux to util-linux-ng
Obsoletes: util-linux <= 2.13-0.pre7.6mdv2008.0
Provides: util-linux = %{version}-%{release}

Obsoletes: fdisk tunelp schedutils
Provides: fdisk tunelp schedutils
%ifarch alpha %{sunsparc} ppc
Obsoletes: clock
%endif

# setarch merge in util-linux-ng-2.13
Obsoletes: sparc32 linux32
Provides: linux32 sparc32
Obsoletes: setarch <= 2.0
Provides: setarch = %{version}

Requires(preun): info-install
Requires(post): info-install
Requires(pre): mktemp /bin/awk /usr/bin/cmp coreutils
Requires: pam >= 0.66-4, shadow-utils >= 4.0.3
#Requires: %{_lib}consolekit
%if %{include_raw}
Requires: udev
%endif

# 91174 - Patch to enabled remote service for login/pam
Patch0: util-linux-ng-2.13-login-pamstart.patch
# RHEL/Fedora specific mount options
Patch1: util-linux-ng-2.14-mount-managed.patch
# add note about ATAPI IDE floppy to fdformat.8
Patch3: util-linux-ng-2.13-fdformat-man-ide.patch
# 169628 - /usr/bin/floppy doesn't work with /dev/fd0
Patch4: util-linux-ng-2.13-floppy-generic.patch
# 151635 - makeing /var/log/lastlog
Patch5: util-linux-ng-2.13-login-lastlog.patch
# 199745 - Non-existant simpleinit(8) mentioned in ctrlaltdel(8)
Patch6: util-linux-ng-2.13-ctrlaltdel-man.patch
# 218915 - fdisk -b 4K (move to upstream?)
Patch7: util-linux-ng-2.13-fdisk-b-4096.patch
# 231192 - ipcs is not printing correct values on pLinux
Patch8: util-linux-ng-2.13-ipcs-32bit.patch
# add a missing header
Patch9: util-linux-ng-2.13-floppy-locale.patch
# remove partitions
Patch10: util-linux-ng-2.14-blockdev-rmpart.patch
# 390691: mount should check selinux context on mount, and warn on file_t
Patch11: util-linux-ng-2.14-mount-file_t.patch

### Mandriva Specific patches

# sent upstream
Patch50: 0001-Fix-typo-in-french-translation-Mandriva-42783.patch

# misc documentation fixes for man pages
Patch70:	util-linux-2.12q-miscfixes.patch
Patch111: util-linux-2.11t-mkfsman.patch
Patch114: util-linux-2.11t-dumboctal.patch
Patch115: util-linux-2.12q-fix-ioctl.patch
Patch116: util-linux-2.12q-autodav.patch

# crypto patches
# revert umount-autoclear patch (upstream e84feaecfdf44a33ef9eccc5a56c8a6999466140)
# for easier rediff of loop-AES patch
Patch1099: util-linux-ng-2.14.1-umount-autoclear.patch
# loop-AES patch
# reworked from http://loop-aes.sourceforge.net/updates/util-linux-ng-2.14-20080624.diff.bz2
Patch1100: util-linux-ng-2.14.1-loopAES.patch
Patch1101: util-linux-2.12q-swapon-skip-encrypted.patch
Patch1102: util-linux-2.12-lower-LOOP_PASSWORD_MIN_LENGTH-for-AES.patch
# load cryptoloop and cypher modules when use cryptoapi
Patch1103: util-linux-2.12a-cryptoapi-load-module.patch
Patch1104: util-linux-ng-2.14.1-set-as-encrypted.patch

# clock program for ppc
Patch1200:	util-linux-2.10r-clock-1.1-ppc.patch
# leng options for clock-ppc
Patch1201:	util-linux-2.10s-clock-syntax-ppc.patch
# Added r & w options to chfn (lsb mandate)
Patch1202:	util-linux-2.11o-chfn-lsb-usergroups.patch
# fix build on alpha with newer kernel-headers
Patch1203:	util-linux-2.11m-cmos-alpha.patch
# handle biarch struct ll_time
Patch1206:	util-linux-2.13-pre7-biarch-ll_time.patch
# do not hide users option in mtab
Patch1207:	util-linux-ng-2.14.1-users.patch
# (peroyvind) fixes for sparc
Patch1212:	util-linux-2.12r-sparc.patch
# remove mode= from udf mounts (architecture done so that more may come)
Patch1218: util-linux-ng-2.13-mount-remove-silly-options-in-auto.patch

# Mandrivamove patches
Patch1300: 	util-linux-ng-2.14.1-losetup-try-LOOP_CHANGE_FD-when-loop-already-busy.patch

%description
The util-linux-ng package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux-ng contains the fdisk configuration tool and the login
program.

%prep

%setup -q -n %{distname}
cp %{SOURCE8} %{SOURCE9} .

%patch0 -p1
%patch1 -p1
%patch3 -p1
#%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
#%patch9 -p1
%patch10 -p1
%patch11 -p1

# Mandriva 
%patch50 -p1 -b .french-typo

%patch70 -p1 -b .miscfixes

%ifarch ppc
%patch1200 -p0
%patch1201 -p1
%endif

#LSB (sb)
%patch1202 -p1

#fix build on alpha with newer kernel-headers
%ifarch alpha
%patch1203 -p1
%endif

%patch1206 -p1 -b .biarch-ll_time

%patch111 -p1 -b .mkfsman                                                      
%patch114 -p1 -b .dumboctal
%patch115 -p1 -b .fix-ioctl
%patch116 -p1 -b .autodav

%patch1099 -R -p1 -b .umount-autoclear
%patch1100 -p1 -b .loopAES
%patch1101 -p1 -b .swapon-encrypted
%patch1102 -p1 -b .loopAES-password
%patch1103 -p1 -b .load-module
%patch1104 -p1 -b .set-as-encrypted

%patch1300 -p1 -b .CHANGE-FD

%patch1207 -p1 -b .users
%patch1212 -p1 -b .sparc
%patch1218 -p1 -b .silly

%build
%serverbuild
unset LINGUAS || :

# rebuild build system for loop-AES patch
./autogen.sh

# CFLAGS
%define make_cflags -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

# (blino) build with -fno-ivopts to workaround a gcc 4.2 optimization bug:
#         when mount/mount.c is optimized, guess_fstype_and_mount()
#         is passed a char *types instead of char **types
export CFLAGS="%{make_cflags} $RPM_OPT_FLAGS -fno-ivopts"
%configure \
	--bindir=/bin \
	--sbindir=/sbin \
	--disable-wall \
	--enable-partx \
	--enable-login-utils \
	--enable-kill \
	--enable-write \
	--enable-arch \
%if %{include_raw}
	--enable-raw \
%endif
	--disable-makeinstall-chown

# build util-linux-ng
make %{?_smp_mflags}

# build nologin
gcc $RPM_OPT_FLAGS -o nologin nologin.c

%ifarch ppc
gcc clock-ppc.c -o clock-ppc
%endif

# build docs
pushd sys-utils
    makeinfo --number-sections ipc.texi
popd

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,6,8,5}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{pam.d,security/console.apps}

# install util-linux-ng
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%buildroot/%{_mandir} INFODIR=%buildroot/%{_infodir}

# install nologin
install -m 755 nologin ${RPM_BUILD_ROOT}/sbin
install -m 644 nologin.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

%if %{include_raw}
echo '.so man8/raw.8' > $RPM_BUILD_ROOT%{_mandir}/man8/rawdevices.8
{ 
  # see RH bugzilla #216664
  mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d
  pushd ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d
  install -m 644 %{SOURCE4} ./60-raw.rules
  popd
}
%endif

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1

%ifarch %{sunsparc}
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
cat << E-O-F > ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
#!/bin/sh
# this should be %{_bindir}/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .  
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
%endif

#gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/ipc.info

# PAM settings
{ 
  pushd ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
  install -m 644 %{SOURCE1} ./login
  install -m 644 %{SOURCE2} ./remote
  install -m 644 %{SOURCE3} ./chsh
  install -m 644 %{SOURCE3} ./chfn
  popd
}

# This has dependencies on stuff in /usr
mv $RPM_BUILD_ROOT{/sbin/,/usr/sbin}/cfdisk

%ifarch ppc
cp -f ./clock-ppc $RPM_BUILD_ROOT/sbin/clock-ppc
mv $RPM_BUILD_ROOT/sbin/hwclock $RPM_BUILD_ROOT/sbin/clock-rs6k
ln -sf clock-rs6k $RPM_BUILD_ROOT/sbin/hwclock
%endif
ln -sf ../../sbin/hwclock $RPM_BUILD_ROOT/usr/sbin/hwclock
ln -sf ../../sbin/clock $RPM_BUILD_ROOT/usr/sbin/clock
ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock

# move flock in /bin, required for udev
# logger is useful in initscripts while /usr isn't mounted as well
# ionice needed for readahead_early
for p in flock logger ionice; do
	mv $RPM_BUILD_ROOT{%{_bindir},/bin}/$p
	ln -sf ../../bin/$p $RPM_BUILD_ROOT%{_bindir}/$p
done

# remove stuff we don't want
rm -f $RPM_BUILD_ROOT%_mandir/man1/{line,newgrp,pg}.1*
rm -f $RPM_BUILD_ROOT%_bindir/{line,newgrp,pg}

# Final cleanup
%ifarch %no_hwclock_archs
rm -f $RPM_BUILD_ROOT/sbin/{hwclock,clock} $RPM_BUILD_ROOT%{_mandir}/man8/hwclock.8* $RPM_BUILD_ROOT/usr/sbin/{hwclock,clock}
%endif
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT/usr/{bin,sbin}/{fdformat,tunelp,floppy} $RPM_BUILD_ROOT%{_mandir}/man8/{fdformat,tunelp,floppy}.8*
%endif

# deprecated commands
for I in /sbin/mkfs.bfs \
	/usr/bin/chkdupexe \
	%{_bindir}/scriptreplay
	do
	rm -f $RPM_BUILD_ROOT$I
done

# deprecated man pages
for I in man1/chkdupexe.1 \
	man8/mkfs.bfs.8 man1/scriptreplay.1; do
	rm -rf $RPM_BUILD_ROOT%{_mandir}/${I}*
done

# we install getopt/getopt-*.{bash,tcsh} as doc files
# note: versions <=2.12 use path "%{_datadir}/misc/getopt/*"
chmod 644 getopt/getopt-*.{bash,tcsh}
rm -f ${RPM_BUILD_ROOT}%{_datadir}/getopt/*
rmdir ${RPM_BUILD_ROOT}%{_datadir}/getopt

# /usr/sbin -> /sbin
for I in addpart delpart partx; do
	if [ -e $RPM_BUILD_ROOT/usr/sbin/$I ]; then
		mv $RPM_BUILD_ROOT/usr/sbin/$I $RPM_BUILD_ROOT/sbin/$I
	fi
done

# /usr/bin -> /bin
for I in taskset; do
	if [ -e $RPM_BUILD_ROOT/usr/bin/$I ]; then
		mv $RPM_BUILD_ROOT/usr/bin/$I $RPM_BUILD_ROOT/bin/$I
	fi
done

# /sbin -> /bin
for I in raw; do
	if [ -e $RPM_BUILD_ROOT/sbin/$I ]; then
		mv $RPM_BUILD_ROOT/sbin/$I $RPM_BUILD_ROOT/bin/$I
	fi
done

# remove vipw and vigr, they belong in shadow-utils
rm -f %{buildroot}%{_sbindir}/{vipw,vigr} %buildroot%_mandir/man8/{vigr,vipw}.*

%find_lang %name

# the files section supports only one -f option...
mv %{name}.lang %{name}.files

# create list of setarch(8) symlinks
find  $RPM_BUILD_ROOT%{_bindir}/ -regextype posix-egrep -type l \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64)$" \
	-printf "%{_bindir}/%f\n" >> %{name}.files

find  $RPM_BUILD_ROOT%{_mandir}/man8 -regextype posix-egrep  \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64)\.8.*" \
	-printf "%{_mandir}/man8/%f*\n" >> %{name}.files

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info ipc.info
%ifarch ppc
ISCHRP=`grep CHRP /proc/cpuinfo`
if [ -z "$ISCHRP" ]; then
  ln -sf /sbin/clock-ppc /sbin/hwclock
fi
%endif

%preun
%_remove_install_info ipc.info

%files -f %{name}.files
%defattr(-,root,root)
%doc */README.* NEWS AUTHORS
%doc getopt/getopt-*.{bash,tcsh}

/bin/arch
/bin/dmesg
%attr(755,root,root)	/bin/login
/bin/more
/bin/kill
/bin/taskset
/bin/ionice
%if %{include_raw}
/bin/raw
%config %{_sysconfdir}/udev/rules.d/60-raw.rules
%endif

%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login
%config(noreplace) %{_sysconfdir}/pam.d/remote

/sbin/agetty
%{_mandir}/man8/agetty.8*
/sbin/blockdev
/sbin/pivot_root
/sbin/ctrlaltdel
/sbin/addpart
/sbin/delpart
/sbin/partx
%{_mandir}/man8/partx.8*
%{_mandir}/man8/addpart.8*
%{_mandir}/man8/delpart.8*

%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc}
/sbin/sfdisk
%{_mandir}/man8/sfdisk.8*
%doc fdisk/sfdisk.examples
%{_sbindir}/cfdisk
%{_mandir}/man8/cfdisk.8*
%endif
/sbin/fdisk
%{_mandir}/man8/fdisk.8*

%ifnarch %no_hwclock_archs
/sbin/clock
%{_sbindir}/clock
/sbin/hwclock
/usr/sbin/hwclock
%{_mandir}/man8/hwclock.8*
%endif
%ifarch ppc
/sbin/clock-ppc
/sbin/clock-rs6k
%endif
/sbin/mkfs
/sbin/mkswap
/sbin/nologin
%{_mandir}/man8/nologin.8*

%{_bindir}/chrt
%{_bindir}/ionice

%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%ifarch %ix86 alpha armv4l ppc ppc64 %{sunsparc} x86_64
%{_bindir}/cytune
%{_mandir}/man8/cytune.8*
%endif
%{_bindir}/ddate
%ifnarch s390 s390x
%{_sbindir}/fdformat
%endif
/bin/flock
%{_bindir}/flock
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
/bin/logger
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/mcookie
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc}
/sbin/fsck.cramfs
/sbin/mkfs.cramfs
%endif
/sbin/fsck.minix
/sbin/mkfs.minix
%{_bindir}/namei
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/setarch
%{_bindir}/setsid
%{_bindir}/setterm
%ifarch %{sunsparc}
%{_bindir}/sunhostid
%endif
%{_bindir}/tailf
%{_bindir}/ul
%{_bindir}/whereis
%attr(2755,root,tty)	%{_bindir}/write

%{_sbindir}/readprofile
%ifnarch s390 s390x
%{_sbindir}/tunelp
%endif
%{_sbindir}/rtcwake
%{_sbindir}/ldattach

%_infodir/ipc.info*

%{_mandir}/man1/arch.1*
%{_mandir}/man1/cal.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/readprofile.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/tailf.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*

%{_mandir}/man1/chrt.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/taskset.1*
%{_mandir}/man1/renice.1*

%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/dmesg.1*

%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/ctrlaltdel.8*
%ifnarch s390 s390x
%{_mandir}/man8/fdformat.8*
%endif
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/mkfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%if %{include_raw}
%{_mandir}/man8/raw.8*
%{_mandir}/man8/rawdevices.8*
%endif
%ifnarch s390 s390x
%{_mandir}/man8/tunelp.8*
%endif
%{_mandir}/man8/setarch.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/ldattach.8*

%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*

%attr(4755,root,root)	/bin/mount
%attr(4755,root,root)	/bin/umount
/sbin/swapon
/sbin/swapoff
%{_mandir}/man5/fstab.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/losetup.8*
/sbin/losetup




%changelog
* Tue Oct 21 2008 Gustavo De Nardin <gustavodn@mandriva.com> 2.14.1-4.1mdv2009.0
- build for updates

* Fri Oct 17 2008 Pascal Terjan <pterjan@mandriva.org> 2.14.1-4mdv2009.0
+ Revision: 294792
- Rediff Patch1300 better (#44530, #44112)
- Drop patch1215 applied upstream and applying at the wrong place (breaking fdisk on files)

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-3mdv2009.0
+ Revision: 290068
- Move ionice to /bin (needed for readahead_early)

* Tue Sep 16 2008 Olivier Blin <oblin@mandriva.com> 2.14.1-2mdv2009.0
+ Revision: 285257
- fix typo in french translation (#42783)

* Tue Sep 16 2008 Olivier Blin <oblin@mandriva.com> 2.14.1-1mdv2009.0
+ Revision: 285227
- adapt to new fdformat path (now in /usr/sbin)
- package ldattach
- sync last patch from Fedora (mount in selinux context, mostly unused)
- rediff losetup change fd patch
- drop mkswap-uuid-option patch (merged upstream)
- rediff users (in mtab) patch (because of pamconsole drop)
- rediff set-as-encrypted patch (because of pamconsole drop)
- rediff loop-AES patch (painfully, based on loop-AES patch update for 2.14)
- remove mount-twiceloop and swapon-swsuspend patches (merged)
- revert umount-autoclear patch for easier rediff of loop-AES patch
- use updated blockdev-rmpart patch from Fedora
- drop deprecated mount-pamconsole patch
- use updated mount-managed patch from Fedora
- 2.14.1
- update url

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Funda Wang <fundawang@mandriva.org> 2.13.1-7mdv2009.0
+ Revision: 214610
- fix conflicts with new shadow-utils

* Sun May 18 2008 Vincent Danen <vdanen@mandriva.com> 2.13.1-6mdv2009.0
+ Revision: 208801
- don't package vipw or vigr, they belong in shadow-utils now for tcb support

* Wed Mar 05 2008 Andreas Hasenack <andreas@mandriva.com> 2.13.1-5mdv2008.1
+ Revision: 180034
- move system-auth to the bottom of the session section
  in the pam config files, or else a "sufficient" module
  in the included file could prevent other modules *after*
  the include statement from being called (#37801)

* Thu Feb 21 2008 Olivier Blin <oblin@mandriva.com> 2.13.1-4mdv2008.1
+ Revision: 173573
- use upstream version of the -U <uuid> patch for mkswap
- add -U <uuid> option in mkswap

* Wed Jan 16 2008 Olivier Blin <oblin@mandriva.com> 2.13.1-3mdv2008.1
+ Revision: 153751
- include i386/linux32/linux64 man pages (from Fedora spec)
- rediff loop-AES patch
- remove patches applied upstream
- 2.13.1
- restore BuildRoot

* Thu Dec 27 2007 Pascal Terjan <pterjan@mandriva.org> 2.13.0.1-3mdv2008.1
+ Revision: 138377
- Add back minix utilities, they are useful

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix name in description

* Thu Nov 22 2007 Olivier Blin <oblin@mandriva.com> 2.13.0.1-2mdv2008.1
+ Revision: 111273
- fix smb mount if path exists locally (#35084, thanks to Pascal Terjan)

  + Funda Wang <fundawang@mandriva.org>
    - correct URL

* Mon Oct 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.13.0.1-1mdv2008.1
+ Revision: 101288
- new security release
- s/Mandrake/Mandriva/

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 2.13-3mdv2008.0
+ Revision: 79316
- fix removal of non handled mount options (#33081)

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 2.13-2mdv2008.0
+ Revision: 79272
- build with -fno-ivopts to workaround a gcc optimization bug that breaks fs detection (#33047)
- fix build with -O0

* Tue Aug 28 2007 Olivier Blin <oblin@mandriva.com> 2.13-1mdv2008.0
+ Revision: 72604
- 2.13
- rediff loop-AES patch

* Sat Aug 25 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.rc3.20070821git.2mdv2008.0
+ Revision: 71289
- fix obsoleted versions

* Sat Aug 25 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.rc3.20070821git.1mdv2008.0
+ Revision: 71246
- drop obsolete rdev commands
- rediff losetup change-fd patch
- rediff set-as-encrypted patch
- rediff loop-AES patch from Debian port to util-linux-ng
- merge mount/losetup/util-linux into util-linux-ng
- remove deprecated commands and man pages (fsck.minix, mkfs.minix, mkfs.bfs, scriptreplay)
- add rtcwake files
- package setarch files and provides/obsoletes setarch/linux32/sparc32
- sync man page sections
- move raw back in /bin (and not in / like Fedora :-p)
- explicitely enable arch build
- remove cd-extra detection patch, this has to be in blkid or vol_id
- remove nfs(5) nolock patch, man page is now in nfs-utils-clients and contains nolock doc
- util-linux-ng-2.13-rc3 (git 20070821 snapshot)
- sync Fedora patches
- drop patches merged upstream
- moving util-linux as util-linux-ng

* Sat Aug 11 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.6mdv2008.0
+ Revision: 61964
- fix uuid support in mkswap (upstream patch from util-linux-ng)

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.5mdv2008.0
+ Revision: 61562
- rediff loop-AES related patches (#32263)
- disable losetup -a and -r patches (already in loop-AES patch)
- drop gzloop patch (we don't have kernel support anymore)
- restore dropped crypto patches
- add support of relatime option in mount

  + Thierry Vignaud <tvignaud@mandriva.com>
    - enable audit support

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix install of clock-ppc, shouldn't depend on build dir name

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.3mdv2008.0
+ Revision: 58161
- obsolete and provide schedutils (merged in 2.13-pre1)

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.13-0.pre7.2mdv2008.0
+ Revision: 57981
- buildrequires e2fsprogs-devel
- buildrequire gettext-devel
- pray and upload (Titi approved)
- add pam config file for remote login
- remove manual pivot_root installation, it's handled by autotools
- use a configure option to disable wall
- add some (59!) patches from Fedora (quickly reviewed, but if it's good for them, it's good for us)
- remove loop-AES, gzloop and most other crypto patches (not really working/used according to Pixel)
- replace CVE-2007-0822 with Fedora's version
- replace our cal width patch with Fedora's version
- add partx/addpart/delpart doc (from Fedora)
- replace our execl patch with Fedora's version
- replace our utmp fixes with Fedora's timeval patch
- sync pam files with Fedora
- remove large file patch, useless since we now build with _FILE_OFFSET_BITS=64
- remove custom mkcramfs build and drop mkcramfs binary (use mkfs.cramfs instead)
- use procpartitions patch from Fedora
- remove s390 patches
- merge kudzu and managed patch (like Fedora)
- remove separated cramfs1.1 (already in upstream package)
- add cramfs fixes from Fedora package
- remove gecossize patch (RH dropped it 3 years ago)
- remove unapplied patches from spec
- remove build fixes patch, O_LARGEFILE is defined in bits/fcntl.h
- remove swapon/swapoff label patch (handled upstream as of 2.12n)
- use Fedora patch for swapon symlink check (which is correctly located in is_in_proc_swaps() function)
- remove patches checking /proc/swaps for swapon/swapoff, already implemented upstream as of 2.11s
- update loop-AES patch, rediff it, and renumber it
- add taskset, chrt and ionice
- move addpart/delpart/partx in /sbin (from Fedora)
- do not install wall and scriptreplay
- update doc files list
- merge raw stuff with Fedora
- remove nfs man pages
- elvtune has been removed upstream
- sln has been removed upstream
- setfdprm has been removed upstream
- add back arch command (from Fedora)
- rebuild autotools stuff and add patch to fix MKINSTALLDIRS (from Fedora)
- enable login-utils, kill, write, and rdev
- use prefix trick from Fedora to avoid installing in /usr/usr
- install getopt/getopt-*.{bash,tcsh} as doc files (like Fedora)
- remove kbdrate (to be moved in a new kbd package)
- rescuept has been removed (this will break diskdrake's "rescue partition table" feature)
- adapt partx build to autotools
- remove merged linux/compiler.h hacks
- rework cdextra patch to use autotools
- add ocfs2 patch (from Fedora)
- add mount sloppy patch for external mount.nfs(4) calls (from Fedora)
- use new uhelper patch from Fedora
- remove fortify fixes, since NFS code has been dropped
- sync NFS patches with Fedora to use nfs-utils commands in mount/unmount
- drop user label umount patch, implemented upstream
- drop mount 2gb patch, we now define _FILE_OFFSET_BITS=64 by default
- drop llseek syscall patch, plain lseek() is now used
- drop more termcap patch (use ncurses only, like Fedora)
- remove HAVE_PIVOT_ROOT define, this is done by configure
- move cflags in make_cflags macro (and define _FILE_OFFSET_BITS=64)
- replace nonroot patch with configure and preprocessor options (like Fedora)
- replace "no chkdupexe" patch by rm commands (like Fedora)
- remove mdk conf patch, util-linux now uses autotools
- 2.13-pre7
- make fdisk reread partition table on block devices only (from pterjan)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update source1 : call ConsoleKit pam module and add a dependency on it

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.12r-15mdv2008.0
+ Revision: 45105
- using serverbuild macro (-fstack-protector-all)

* Tue Jun 19 2007 Olivier Blin <oblin@mandriva.com> 2.12r-14mdv2008.0
+ Revision: 41419
- rebuild for new slang

* Wed May 09 2007 Olivier Blin <oblin@mandriva.com> 2.12r-13mdv2008.0
+ Revision: 25684
- do not include asm/kbio.h (from Per Oyvind Karlsen, #30624)
- use bunzipped patches (fix wrong srpm2svn.sh import)
- include sfdisk and cfdisk on sparc too (from Per Oyvind Karlsen, #30623)

